---
pdf: false
comments: false
---
# Tech-Stack

!!! warnung "Bitte um Beachtung"

    Diese Liste ist derzeit in Arbeit und bei weitem noch nicht vollständig.

## Bug tracking system, project management software

* Atlassian Jira
* Bugzilla
* Forgejo
* Gitea
* Gitlab
* GitHub
* Redmine

## CI/CD

* Forgejo/Gitea/GitHub Actions
* Gitlab CI
* GoCD
* Jenkins
* Woodpecker CI

## Configuration Management / Infrastructure as Code (IaC)

* Ansible

## DevOps software package

* Forgejo
* Gitea
* GitHub
* Gitlab

## Hypervisor and distributions

### Type-1, native or bare-metal hypervisors

* KVM
* VMware ESXi
* Xen (Distributions: []())

### Type-2 or hosted hypervisors

* Parallels Desktop
* UTM
* VirtualBox
* VMware Workstation

## IT (Infrastructure) Monitoring

* checkmk
* Icinga
* Nagios
* Prometheus
* Uptime Kuma
* Zabbix

## Knowledge-Management-Software

### Note-taking

* Joplin incl. Joplin-Server
* Notion
* Outline

### Wiki-Software

* Atlassian Confluence
* MediaWiki
* XWiki

## OS-level-virtualization

### Cluster management software

* Kubernetes
* Nomad
* Portainer

### Container

* :fontawesome-brands-docker: Docker [https://www.docker.com](https://www.docker.com)
* Linux Containers (LXC) [http://linuxcontainers.org/](http://linuxcontainers.org/)
* podman [https://podman.io/](https://podman.io/)

## Productivity software

* LibreOffice
* Microsoft Office
* OnlyOffice (mainly used for integration into other software products such as Seafile or NextCloud)

## Service Management, Help Desk

* Freescout
* OTOBO
* OTRS
* Zammad
* Znuny

## Version Control

* Git
* Subversion

