---
pdf: false
comments: false
---
# Über mich

## Persönlich

![Stephan Hadan](images/stephan.png)

Ich bin Stephan Hadan, geboren am 25. Juni 1972 in Pforzheim – meiner Heimatstadt, in der ich auch heute noch lebe. Ich bin deutscher Staatsbürger, ledig, und bringe jede Menge Erfahrungen, Interessen und Skills mit.

### Sprachen, die ich spreche

Deutsch ist natürlich meine Muttersprache. Englisch beherrsche ich fließend, sowohl schriftlich als auch mündlich. Außerdem habe ich Grundkenntnisse in Französisch und Portugiesisch – für den Urlaub oder einen lockeren Austausch reicht das allemal.

### Was ich sonst noch mitbringe

Ich habe die Führerscheinklassen BE und C1E in der Tasche, was mir nicht nur auf der Straße mehr Möglichkeiten gibt. Von 1992 bis 2009 war ich ehrenamtlich als Jugendbetreuer beim Technischen Hilfswerk (THW) aktiv – eine Zeit, die mich gelehrt hat, Verantwortung zu übernehmen und Menschen zu begleiten.

### Meine Hobbys

In meiner Freizeit liebe ich es, schwimmen zu gehen, spannende Bücher zu lesen und mich mit IT und Heimautomation zu beschäftigen – smarte Lösungen für Zuhause sind genau mein Ding! Und wenn ich mal nicht vor dem Rechner sitze, stehe ich gerne in der Küche und probiere neue Gerichte aus.

Ein weiterer Herzensort für mich ist Malta. Ich reise sehr gerne dorthin, schätze die herzlichen Menschen und die faszinierende Kultur der Insel. Malta hat für mich einfach etwas Besonderes und gibt mir immer neue Energie.

## Beruflich

Mit über 25 Jahren Erfahrung in der IT-Branche blicke ich auf eine spannende Karriere in verantwortungsvollen Positionen zurück. Mein erstes Zusammentreffen mit der IT liegt weit zurück: 1986 begann meine Reise mit einem eigenen IBM Personal Computer XT. Seitdem prägen Neugier, Innovationsdrang und der Wille, Dinge weiterzuentwickeln, meinen beruflichen Werdegang.

### Führungsverantwortung und Zusammenarbeit

Disziplinarische und fachliche Führungsverantwortung gehören zu meinem Alltag. Es ist mir ein persönliches Anliegen, Menschen zu inspirieren, ihr Potenzial zu fördern und durch mein Wissen zu unterstützen. Dabei lege ich ebenso Wert auf einen offenen Rückkanal: Auch ich bin lernbegierig und schätze den Austausch.

### Projekteffizienz und Entwicklerverständnis

Durch meine langjährige Erfahrung in verschiedenen Tätigkeitsfeldern kann ich Projekte schnell und effizient umsetzen. Ein mehrjähriges ERP-Entwicklungsprojekt hat mir zudem ein tiefes Verständnis für die Herausforderungen und Anforderungen von Entwicklern vermittelt.

### Technologiebegeisterung und Weiterentwicklung

Neue Technologien zu entdecken, zu hinterfragen und weiterzuentwickeln, ist für mich zentral. Permanente Neugier und Lernbereitschaft treiben mich an. Ob IT-Sicherheit mit Konzepten wie Zero Trust Security oder Datenschutz – ich gehe Themen mit fundierter Sorgfalt an.

### Präferenz für Open Source und Dokumentation

Ich bin ein überzeugter Anwender von Open-Source-Software und bevorzuge sie, wenn sie geeignet ist. Tools wie [Seafile](https://www.seafile.com/en/home/), [Seatable](https://seatable.io/), [Wekan](https://wekan.github.io/), [Vaultwarden](https://www.vaultwarden.net/), [Kubernetes](https://kubernetes.io/) oder [Podman](https://podman.io/). Ebenso liebe ich klare und ausführliche Dokumentation, am liebsten in Markdown.

### Moderne Arbeitsweisen und Skepsis gegenüber AI

Ich arbeite bevorzugt mit macOS, schätze jedoch auch Linux-Desktops und bin Windows nicht abgeneigt. Server-Systeme – egal ob Linux, Windows Server, Solaris oder BSDUnix – sind für mich flexibel einsetzbar. Den aktuellen Themen rund um künstliche Intelligenz stehe ich offen, aber kritisch gegenüber und setze entsprechende Werkzeuge zielgerichtet ein. Natürlich stelle ich auch AI-Lösungen bereit, welche im Unternehmenseinsatz ausgerollt werden können.

Mehr über meinen schulischen und beruflichen Werdegang finden Sie in meinem [Lebenslauf](/cv/), meine Technologieerfahrungen im [Tech-Stack](/techstack/) und Einblicke in meine Projekte unter [Projekte](/projects/).